Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1523159 - Errors related to cleaning tasks regarding specific targets.
Summary: Errors related to cleaning tasks regarding specific targets.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bleachbit
Version: 27
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-07 10:28 UTC by ricky.tigg
Modified: 2018-03-16 16:17 UTC (History)
1 user (show)

Fixed In Version: bleachbit-2.0-1.fc27 bleachbit-2.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-16 16:17:41 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Bleachbit – Errors related to cleaning tasks regarding specific targets. (7.45 MB, text/plain)
2017-12-07 10:28 UTC, ricky.tigg
no flags Details
Bleachbit – Errors related to cleaning tasks regarding specific targets. (6.30 MB, text/plain)
2018-03-08 13:24 UTC, ricky.tigg
no flags Details
Bleachbit – Errors related to cleaning task regarding Localisations target. (6.60 MB, text/plain)
2018-03-09 21:12 UTC, ricky.tigg
no flags Details
Bleachbit – Errors related to cleaning tasks regarding specific targets. (705.76 KB, application/octet-stream)
2018-03-14 08:58 UTC, ricky.tigg
no flags Details

Description ricky.tigg 2017-12-07 10:28:13 UTC
Created attachment 1364165 [details]
Bleachbit – Errors related to cleaning tasks regarding specific targets.

Description of problem:
Errors related to cleaning task regarding specific target targets.

Version-Release number of selected component (if applicable): 
bleachbit-1.12-3.fc27.noarch

How reproducible – Steps to Reproduce:
1. Check only Firefox | URL history
2. Check only System | Localisations
3. Check only System | Rotated logs

Actual results:
Errors occur (Attachment).

Expected results:
Errors not expected as tool is expected to be aware not trying vainly to accomplish any cleaning task of inappropriate targets regarding the permissions granted to the current user.

Additional info:
Tasks run as sudo user.
On Gnome.

Comment 1 Fedora Update System 2018-03-07 22:49:17 UTC
bleachbit-2.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a6e39e3ac

Comment 2 Fedora Update System 2018-03-07 22:49:45 UTC
bleachbit-2.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a30a3fb54

Comment 3 ricky.tigg 2018-03-08 13:24:43 UTC
Created attachment 1405860 [details]
Bleachbit – Errors related to cleaning tasks regarding specific targets.

Version-Release number of selected component: bleachbit.noarch 1.12-3.fc27 @fedora

How reproducible – Steps to Reproduce:
1. Check only Firefox | URL history
2. Check only System | Localisations

Actual results: Errors occur (Attachment).
No more errors when checking only System | Rotated logs.

Comment 4 Fedora Update System 2018-03-08 16:23:01 UTC
bleachbit-2.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a6e39e3ac

Comment 5 Fedora Update System 2018-03-08 16:28:10 UTC
bleachbit-2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2a30a3fb54

Comment 6 ricky.tigg 2018-03-09 21:12:15 UTC
Created attachment 1406404 [details]
Bleachbit – Errors related to cleaning task regarding Localisations target.

Version-Release number of selected component: bleachbit.noarch 2.0-1.fc27 @updates-testing

Steps to Reproduce:
1. Launch application as sudo user for the first time.
2. In Edit | Preferences | Languages, check English and Finnish.
3. Check only System | Localisations

Actual results: Errors still occur as sudo user (Attachment). Once cleaning task is tested as root user, it is accomplished without errors. When a cleaning task as sudo user is run after that a cleaning task had been run as root user, errors no more occurred.

Comment 7 Mukundan Ragavan 2018-03-10 17:47:43 UTC
Would you be willing to open this upstream?

Comment 8 ricky.tigg 2018-03-12 12:58:04 UTC
Reported at https://bodhi.fedoraproject.org/updates/FEDORA-2018-3a6e39e3ac as anonymous user.

Comment 9 Fedora Update System 2018-03-13 23:17:07 UTC
bleachbit-2.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 ricky.tigg 2018-03-14 08:58:07 UTC
Created attachment 1407878 [details]
Bleachbit – Errors related to cleaning tasks regarding specific targets.

Comment 11 Fedora Update System 2018-03-16 16:17:41 UTC
bleachbit-2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.